### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events

# Interface EventInterface

@SASScope("ALL") @BinaryCompatibilityOnly public interface EventInterface
Deprecated.
As of release 9.3, replaced by SAS Midtier Eventing Architecture.
This interface represents an event that can be sent to an `EventBroker service`.

## Usage

This interface is used to manipulate an Event that can ultimately be sent to a broker for processing.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACK`
  Deprecated.
  Response type: ack
  `static final String`
  `NONE`
  Deprecated.
  Response type: none
  `static final String`
  `RESULT`
  Deprecated.
  Response type: result
  `static final int`
  `SERIALIZE_FORMAT_DOCUMENT`
  Deprecated.
  Serialize format: document
  `static final int`
  `SERIALIZE_FORMAT_STRING`
  Deprecated.
  Serialize format: string

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBody()`
  Deprecated.
  Get body of this event.
  `String`
  `getCredentialsDomain()`
  Deprecated.
  Get authentication domain associated with this event sender's credentials.
  `String`
  `getCredentialsName()`
  Deprecated.
  Get credentials name.
  `String`
  `getCredentialsPW()`
  Deprecated.
  Get credentials password.
  `String`
  `getCredentialsSessionContextId()`
  Deprecated.
  Get session context id associated with this event sender's credentials.
  `String`
  `getCredentialsSessionContextLockId()`
  Deprecated.
  Get session context lock id associated with this event sender's credentials.
  `String`
  `getFrom()`
  Deprecated.
  Get event origination.
  `String`
  `getIdentity()`
  Deprecated.
  Get event identity.
  `String`
  `getName()`
  Deprecated.
  Get event name.
  `int`
  `getPriority()`
  Deprecated.
  Get event priority.
  `Map`
  `getProperties()`
  Deprecated.
  Get properties associated with this event.
  `String`
  `getResponseType()`
  Deprecated.
  Get the response type associated with this event.
  `String`
  `getTime()`
  Deprecated.
  Get date/time stamp set for this event.
  `double`
  `getVersion()`
  Deprecated.
  Get event version.
  `Object`
  `serialize(int format)`
  Deprecated.
  Serialize this event into the specified format so that it can be sent to a broker for processing.
  `void`
  `setBody(String body)`
  Deprecated.
  Set body for this event.
  `void`
  `setBody(Node node)`
  Deprecated.
  Set body for this event.
  `void`
  `setCredentials(String sessionContextId, String sessionContextLockId)`
  Deprecated.
  Set credentials.
  `void`
  `setCredentials(String name, String password, String domain)`
  Deprecated.
  Set credentials.
  `void`
  `setFrom(String from)`
  Deprecated.
  Set event origination.
  `void`
  `setIdentity(String identity)`
  Deprecated.
  Set event identity.
  `void`
  `setName(String eventName)`
  Deprecated.
  Set event name.
  `void`
  `setPriority(int priority)`
  Deprecated.
  Set event priority.
  `void`
  `setProperties(Map map)`
  Deprecated.
  Set properties to be associated with this event.
  `void`
  `setResponseType(String responseType)`
  Deprecated.
  Set the response type that is desired.
  `void`
  `setTime(String time)`
  Deprecated.
  Set a date/time stamp for this event.
  `void`
  `setVersion(double version)`
  Deprecated.
  Set event version.

- ## Field Details

  - ### SERIALIZE_FORMAT_STRING

    static final int SERIALIZE_FORMAT_STRING
    Deprecated.
    Serialize format: string
    See Also:
      - Constant Field Values

  - ### SERIALIZE_FORMAT_DOCUMENT

    static final int SERIALIZE_FORMAT_DOCUMENT
    Deprecated.
    Serialize format: document
    See Also:
      - Constant Field Values

  - ### NONE

    static final String NONE
    Deprecated.
    Response type: none
    See Also:
      - Constant Field Values

  - ### ACK

    static final String ACK
    Deprecated.
    Response type: ack
    See Also:
      - Constant Field Values

  - ### RESULT

    static final String RESULT
    Deprecated.
    Response type: result
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setName

    void setName(String eventName)
    Deprecated.
    Set event name.
    Parameters:
      `eventName` - Event name.

  - ### getName

    String getName()
    Deprecated.
    Get event name.
    Returns:
      name of event.

  - ### setVersion

    void setVersion(double version)
    Deprecated.
    Set event version.
    Parameters:
      `version` - Event version.

  - ### getVersion

    double getVersion()
    Deprecated.
    Get event version.
    Returns:
      version of event.

  - ### setIdentity

    void setIdentity(String identity)
    Deprecated.
    Set event identity.
    Parameters:
      `identity` - Event identity.

  - ### getIdentity

    String getIdentity()
    Deprecated.
    Get event identity.
    Returns:
      identity of event.

  - ### setCredentials

    void setCredentials(String name, String password, String domain)
    Deprecated.
    Set credentials.
    Parameters:
      `name` - Name of principal sending the event.
      `password` - Password of principal sending the event.
      `domain` - Authentication domain associated with this principal.

  - ### setCredentials

    void setCredentials(String sessionContextId, String sessionContextLockId)
    Deprecated.
    Set credentials.

    An alternative to using name, password, and domain. Allows the sender of an event to specify a session context that is bound to an already authenticated user context.

    Parameters:
      `sessionContextId` - session context id associated with authenticated user context.
      `sessionContextLockId` - lock on the session context if applicable.

  - ### getCredentialsName

    String getCredentialsName()
    Deprecated.
    Get credentials name.
    Returns:
      name of principal sending the event.

  - ### getCredentialsPW

    String getCredentialsPW()
    Deprecated.
    Get credentials password.
    Returns:
      password of principal sending the event.

  - ### getCredentialsDomain

    String getCredentialsDomain()
    Deprecated.
    Get authentication domain associated with this event sender's credentials.
    Returns:
      authentication domain associated with the sender of this event.

  - ### getCredentialsSessionContextId

    String getCredentialsSessionContextId()
    Deprecated.
    Get session context id associated with this event sender's credentials.
    Returns:
      session context id associated with the sender of this event.

  - ### getCredentialsSessionContextLockId

    String getCredentialsSessionContextLockId()
    Deprecated.
    Get session context lock id associated with this event sender's credentials.
    Returns:
      session context lock id associated with the sender of this event.

  - ### setPriority

    void setPriority(int priority)
    Deprecated.
    Set event priority.

    Setting a priority does not change the processing order of incoming events. It simply sets the Java thread priority that the broker processing thread runs as. Valid values are between `java.lang.Thread.MIN_PRIORITY` and `java.lang.Thread.MAX_PRIORITY`.

    Parameters:
      `priority` - Event priority.

  - ### getPriority

    int getPriority()
    Deprecated.
    Get event priority.
    Returns:
      priority of event.

  - ### setFrom

    void setFrom(String from)
    Deprecated.
    Set event origination.

    Can include "who/where" descriptive information that describes the event origination.

    Parameters:
      `from` - information that describes where the event originated from.

  - ### getFrom

    String getFrom()
    Deprecated.
    Get event origination.
    Returns:
      information that describes where the event originated from.

  - ### setTime

    void setTime(String time)
    Deprecated.
    Set a date/time stamp for this event.

    If a date/time is not set for this event, it will automatically be generated during serialization.

    Parameters:
      `time` - date/time GMT.

  - ### getTime

    String getTime()
    Deprecated.
    Get date/time stamp set for this event.
    Returns:
      date/time GMT.

  - ### setResponseType

    void setResponseType(String responseType)
    Deprecated.
    Set the response type that is desired. The default response type is assumed "none".

    Valid types are as follows:

    - `NONE`
    - `ACK`
    - `RESULT`
    Parameters:
      `responseType` - Type of response to be generated by broker.

  - ### getResponseType

    String getResponseType()
    Deprecated.
    Get the response type associated with this event.
    Returns:
      type of response that is requested for this event.

  - ### setProperties

    void setProperties(Map map)
    Deprecated.
    Set properties to be associated with this event.

    To apply namespaces to individual properties, prefix the name of the property with its desired namespace followed by a : (semi-colon) character.

    Parameters:
      `map` - name/value pairs.

  - ### getProperties

    Map getProperties()
    Deprecated.
    Get properties associated with this event.
    Returns:
      properties associated with this event.

  - ### setBody

    void setBody(String body)
    Deprecated.
    Set body for this event.
    Parameters:
      `body` - application body for this event.

  - ### setBody

    void setBody(Node node)
    Deprecated.
    Set body for this event.

    Node must be one of the following types:

    - Document
    - DocumentFragment
    - Element
    Parameters:
      `node` - application body for this event.

  - ### getBody

    Object getBody()
    Deprecated.
    Get body of this event.
    Returns:
      body of this event.

  - ### serialize

    Object serialize(int format)
    Deprecated.
    Serialize this event into the specified format so that it can be sent to a broker for processing. Supported formats are listed below.
    - `String`
    - `Document`
    Parameters:
      `format` - Serialize format.
    Returns:
      serialized object or `null` if serialization fails.